Authen-Libwrap

Metadata

Analyzed metadata and errors of Authen-Libwrap.

{
   "abstracts" : {
      "Authen::Libwrap" : "access to Wietse Venema's TCP Wrappers library"
   },
   "author" : "DMUEY",
   "buildfile_executable" : 0,
   "dir_lib" : "lib",
   "dir_t" : "t",
   "dirs_array" : [
      "lib",
      "lib/Authen",
      "t"
   ],
   "dist" : "Authen-Libwrap",
   "dynamic_config" : 0,
   "error" : {
      "use_warnings" : "Authen::Libwrap"
   },
   "extension" : "tar.gz",
   "extractable" : 1,
   "extracts_nicely" : 1,
   "file__build" : 0,
   "file_blib" : 0,
   "file_build" : 0,
   "file_build_pl" : "Build.PL",
   "file_changelog" : "ChangeLog",
   "file_makefile" : 0,
   "file_makefile_pl" : "Makefile.PL",
   "file_manifest" : "MANIFEST",
   "file_meta_yml" : "META.yml",
   "file_pm_to_blib" : 0,
   "file_readme" : "README",
   "files_array" : [
      "README",
      "ppport.h",
      "Build.PL",
      "example.pl",
      "Makefile.PL",
      "META.yml",
      "ChangeLog",
      "MANIFEST",
      "lib/Authen/Libwrap.xs",
      "lib/Authen/Libwrap.pm",
      "t/01_inline.t",
      "t/hosts.allow",
      "t/02_maintainer.t",
      "t/03_pod.t"
   ],
   "files_hash" : {
      "Build.PL" : {
         "mtime" : 1278450103,
         "size" : 2439,
         "used" : [
            "File::Spec",
            "Module::Build",
            "strict",
            "warnings"
         ]
      },
      "ChangeLog" : {
         "mtime" : 1278450103,
         "size" : 1566
      },
      "MANIFEST" : {
         "mtime" : 1278450103,
         "size" : 247
      },
      "META.yml" : {
         "mtime" : 1278450103,
         "size" : 581
      },
      "Makefile.PL" : {
         "mtime" : 1278450103,
         "required" : [
            "CPAN",
            "Cwd",
            "ExtUtils::MakeMaker",
            "File::Spec",
            "Module::Build"
         ],
         "size" : 1203,
         "used_in_eval" : [
            "Module::Build::Compat"
         ]
      },
      "README" : {
         "mtime" : 1278450103,
         "size" : 4729
      },
      "example.pl" : {
         "mtime" : 1278450103,
         "size" : 467
      },
      "lib/Authen/Libwrap.pm" : {
         "module" : "Authen::Libwrap",
         "mtime" : 1278450103,
         "noed" : [
            "warnings"
         ],
         "required" : [
            "Exporter"
         ],
         "size" : 10816,
         "used" : [
            "Carp",
            "Scalar::Util",
            "Socket",
            "XSLoader",
            "constant",
            "strict",
            "vars"
         ]
      },
      "lib/Authen/Libwrap.xs" : {
         "mtime" : 1278450103,
         "size" : 615
      },
      "ppport.h" : {
         "mtime" : 1278450103,
         "size" : 29615
      },
      "t/01_inline.t" : {
         "mtime" : 1278450103,
         "size" : 4500,
         "used" : [
            "IO::Socket::INET",
            "Test::Exception",
            "Test::More"
         ]
      },
      "t/02_maintainer.t" : {
         "mtime" : 1278450103,
         "size" : 2482,
         "used" : [
            "Test::Exception",
            "Test::More"
         ]
      },
      "t/03_pod.t" : {
         "mtime" : 1278450103,
         "size" : 129,
         "used" : [
            "Test::More"
         ],
         "used_in_eval" : [
            "Test::Pod"
         ]
      },
      "t/hosts.allow" : {
         "mtime" : 1278450103,
         "size" : 397
      }
   },
   "got_prereq_from" : "META.yml",
   "kwalitee" : {
      "buildtool_not_executable" : 1,
      "consistent_version" : 1,
      "easily_repackageable_by_debian" : 1,
      "easily_repackageable_by_fedora" : 1,
      "extractable" : 1,
      "extracts_nicely" : 1,
      "fits_fedora_license" : 1,
      "has_abstract_in_pod" : 1,
      "has_buildtool" : 1,
      "has_changelog" : 1,
      "has_human_readable_license" : 0,
      "has_known_license_in_source_file" : 0,
      "has_license_in_source_file" : 0,
      "has_manifest" : 1,
      "has_meta_yml" : 1,
      "has_proper_version" : 1,
      "has_readme" : 1,
      "has_separate_license_file" : 0,
      "has_tests" : 1,
      "has_tests_in_t_dir" : 1,
      "has_version" : 1,
      "kwalitee" : "87.80",
      "manifest_matches_dist" : 1,
      "metayml_conforms_to_known_spec" : 1,
      "metayml_declares_perl_version" : 0,
      "metayml_has_license" : 1,
      "metayml_has_provides" : 1,
      "metayml_is_parsable" : 1,
      "no_abstract_stub_in_pod" : 1,
      "no_broken_auto_install" : 1,
      "no_broken_module_install" : 1,
      "no_dot_dirs" : 1,
      "no_dot_underscore_files" : 1,
      "no_generated_files" : 1,
      "no_invalid_versions" : 1,
      "no_local_dirs" : 1,
      "no_mymeta_files" : 1,
      "no_pax_headers" : 1,
      "no_pod_errors" : 1,
      "no_stdin_for_prompting" : 1,
      "no_symlinks" : 1,
      "package_version_matches_dist_version" : 1,
      "portable_filenames" : 1,
      "proper_libs" : 1,
      "use_strict" : 1,
      "use_warnings" : 0,
      "valid_signature" : 1
   },
   "latest_mtime" : 1278450103,
   "license" : "perl defined in META.yml",
   "license_from_yaml" : "perl",
   "manifest_matches_dist" : 1,
   "meta_yml" : {
      "abstract" : "access to Wietse Venema's TCP Wrappers library",
      "author" : [
         "James FitzGibbon, E<lt>jfitz@CPAN.orgE<gt>"
      ],
      "build_requires" : {
         "ExtUtils::CBuilder" : "0",
         "Test::Exception" : "0",
         "Test::More" : "0"
      },
      "configure_requires" : {
         "Module::Build" : "0.36"
      },
      "generated_by" : "Module::Build version 0.3607",
      "license" : "perl",
      "meta-spec" : {
         "url" : "http://module-build.sourceforge.net/META-spec-v1.4.html",
         "version" : "1.4"
      },
      "name" : "Authen-Libwrap",
      "provides" : {
         "Authen::Libwrap" : {
            "file" : "lib/Authen/Libwrap.pm",
            "version" : "0.22"
         }
      },
      "requires" : {
         "Scalar::Util" : "0"
      },
      "resources" : {
         "license" : "http://dev.perl.org/licenses/"
      },
      "version" : "0.22"
   },
   "metayml_is_parsable" : 1,
   "modules" : [
      {
         "file" : "lib/Authen/Libwrap.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "Authen::Libwrap"
      }
   ],
   "needs_compiler" : 1,
   "no_pax_headers" : 1,
   "package" : "Authen-Libwrap-0.22.tar.gz",
   "prereq" : [
      {
         "requires" : "Module::Build",
         "type" : "configure_requires",
         "version" : "0.36"
      },
      {
         "is_build_prereq" : 1,
         "requires" : "Test::More",
         "type" : "build_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "Scalar::Util",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_build_prereq" : 1,
         "requires" : "Test::Exception",
         "type" : "build_requires",
         "version" : "0"
      },
      {
         "is_build_prereq" : 1,
         "requires" : "ExtUtils::CBuilder",
         "type" : "build_requires",
         "version" : "0"
      }
   ],
   "released_epoch" : 1278450534,
   "size_packed" : 19678,
   "size_unpacked" : 59786,
   "uses" : {
      "noed_in_code" : {
         "warnings" : 1
      },
      "required_in_code" : {
         "Exporter" : 1
      },
      "required_in_config" : {
         "CPAN" : 1,
         "Cwd" : 1,
         "ExtUtils::MakeMaker" : 1,
         "File::Spec" : 1,
         "Module::Build" : 1
      },
      "used_in_code" : {
         "Carp" : 1,
         "Scalar::Util" : 1,
         "Socket" : 1,
         "XSLoader" : 1,
         "constant" : 1,
         "strict" : 1,
         "vars" : 1
      },
      "used_in_config" : {
         "File::Spec" : 1,
         "Module::Build" : 1,
         "strict" : 1,
         "warnings" : 1
      },
      "used_in_eval_in_config" : {
         "Module::Build::Compat" : 2
      },
      "used_in_eval_in_tests" : {
         "Test::Pod" : 1
      },
      "used_in_tests" : {
         "IO::Socket::INET" : 1,
         "Test::Exception" : 2,
         "Test::More" : 4
      }
   },
   "valid_signature" : -1,
   "version" : "0.22",
   "versions" : {
      "lib/Authen/Libwrap.pm" : {
         "Authen::Libwrap" : "0.22"
      }
   },
   "vname" : "Authen-Libwrap-0.22"
}